# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils kde
need-kde 3

DESCRIPTION="KDE frontend for R"
SRC_URI="mirror://sourceforge/rkward/${PN}_${PV}.tar.gz"
HOMEPAGE="http://rkward.sourceforge.net/"

LICENSE="GPL"
SLOT="0"
KEYWORDS="x86 ~ppc amd64 ~sparc"
IUSE=""
DEPEND=">=dev-lang/R-2.0"

S="${WORKDIR}/${PN}_${PV}"

src_unpack() {
	kde_src_unpack
	epatch "${FILESDIR}/rpackage-install-${PV}.patch"
}

src_install() {
	kde_src_install
	insopts -o root -g root
	rlibdir=`R RHOME`/library
	dodir $rlibdir
	tar --directory=${D}/$rlibdir -xzf ${S}/rkward/rbackend/rpackages/${PN}_${PV}*.tar.gz
}
